Loading...
Searching...
No Matches
pcl::poisson::SortedTreeNodes Class Reference

`#include <pcl/surface/3rdparty/poisson4/multi_grid_octree_data.h>`

## Classes

struct | CornerIndices
struct | CornerTableData
struct | EdgeIndices
struct | EdgeTableData

## Public Member Functions

| SortedTreeNodes (void)
| ~SortedTreeNodes (void)
void | set (TreeOctNode &root)
void | setCornerTable (CornerTableData &cData, const TreeOctNode *rootNode, int depth, int threads) const
void | setCornerTable (CornerTableData &cData, const TreeOctNode *rootNode, int threads) const
void | setCornerTable (CornerTableData &cData, int threads) const
int | getMaxCornerCount (const TreeOctNode *rootNode, int depth, int maxDepth, int threads) const
void | setEdgeTable (EdgeTableData &eData, const TreeOctNode *rootNode, int depth, int threads)
void | setEdgeTable (EdgeTableData &eData, const TreeOctNode *rootNode, int threads)
void | setEdgeTable (EdgeTableData &eData, int threads)
int | getMaxEdgeCount (const TreeOctNode *rootNode, int depth, int threads) const

## Public Attributes

TreeOctNode ** | treeNodes
int * | nodeCount
int | maxDepth

## Detailed Description

Definition at line 114 of file multi_grid_octree_data.h.

## Constructor & Destructor Documentation

## SortedTreeNodes()

pcl::poisson::SortedTreeNodes::SortedTreeNodes | ( | void |  | ) |

Definition at line 73 of file multi_grid_octree_data.hpp.

References maxDepth, nodeCount, and treeNodes.

## ~SortedTreeNodes()

pcl::poisson::SortedTreeNodes::~SortedTreeNodes | ( | void |  | ) |

Definition at line 79 of file multi_grid_octree_data.hpp.

References nodeCount, and treeNodes.

## Member Function Documentation

## getMaxCornerCount()

int pcl::poisson::SortedTreeNodes::getMaxCornerCount | ( | const TreeOctNode * | rootNode,
|  | int | depth,
|  | int | maxDepth,
|  | int | threads
| ) |  | const

Definition at line 250 of file multi_grid_octree_data.hpp.

References pcl::poisson::Cube::AntipodalCornerIndex(), pcl::poisson::Cube::CORNERS, pcl::poisson::OctNode< NodeData, Real >::depthAndOffset(), pcl::poisson::Cube::FactorCornerIndex(), maxDepth, nodeCount, and treeNodes.

## getMaxEdgeCount()

int pcl::poisson::SortedTreeNodes::getMaxEdgeCount | ( | const TreeOctNode * | rootNode,
|  | int | depth,
|  | int | threads
| ) |  | const

Definition at line 437 of file multi_grid_octree_data.hpp.

References pcl::poisson::Square::AntipodalCornerIndex(), pcl::poisson::Square::CornerIndex(), pcl::poisson::Square::CORNERS, pcl::poisson::OctNode< NodeData, Real >::depthAndOffset(), pcl::poisson::Cube::EDGES, pcl::poisson::Square::FactorCornerIndex(), pcl::poisson::Cube::FactorEdgeIndex(), maxDepth, nodeCount, and treeNodes.

## set()

void pcl::poisson::SortedTreeNodes::set | ( | TreeOctNode & | root | ) |

Definition at line 86 of file multi_grid_octree_data.hpp.

References pcl::poisson::OctNode< NodeData, Real >::children, maxDepth, pcl::poisson::OctNode< NodeData, Real >::maxDepth(), nodeCount, pcl::poisson::OctNode< NodeData, Real >::nodes(), and treeNodes.

Referenced by pcl::poisson::Octree< Degree >::GetMCIsoTriangles().

## setCornerTable() [1/3]

void pcl::poisson::SortedTreeNodes::setCornerTable | ( | CornerTableData & | cData,
|  | const TreeOctNode * | rootNode,
|  | int | depth,
|  | int | threads
| ) |  | const

Definition at line 111 of file multi_grid_octree_data.hpp.

References pcl::poisson::Cube::AntipodalCornerIndex(), pcl::poisson::SortedTreeNodes::CornerTableData::cCount, pcl::poisson::OctNode< NodeData, Real >::children, pcl::poisson::Cube::CORNERS, pcl::poisson::SortedTreeNodes::CornerTableData::cTable, pcl::poisson::OctNode< NodeData, Real >::depth(), pcl::poisson::OctNode< NodeData, Real >::depthAndOffset(), pcl::poisson::Cube::FactorCornerIndex(), maxDepth, nodeCount, pcl::poisson::OctNode< NodeData, Real >::nodeData, pcl::poisson::TreeNodeData::nodeIndex, pcl::poisson::SortedTreeNodes::CornerTableData::offsets, pcl::poisson::OctNode< NodeData, Real >::parent, and treeNodes.

## setCornerTable() [2/3]

void pcl::poisson::SortedTreeNodes::setCornerTable | ( | CornerTableData & | cData,
|  | const TreeOctNode * | rootNode,
|  | int | threads
| ) |  | const

inline

Definition at line 144 of file multi_grid_octree_data.h.

References maxDepth, and setCornerTable().

Referenced by setCornerTable().

## setCornerTable() [3/3]

void pcl::poisson::SortedTreeNodes::setCornerTable | ( | CornerTableData & | cData,
|  | int | threads
| ) |  | const

inline

Definition at line 145 of file multi_grid_octree_data.h.

References maxDepth, setCornerTable(), and treeNodes.

Referenced by setCornerTable().

## setEdgeTable() [1/3]

void pcl::poisson::SortedTreeNodes::setEdgeTable | ( | EdgeTableData & | eData,
|  | const TreeOctNode * | rootNode,
|  | int | depth,
|  | int | threads
| ) |  |

Definition at line 307 of file multi_grid_octree_data.hpp.

References pcl::poisson::Square::AntipodalCornerIndex(), pcl::poisson::OctNode< NodeData, Real >::children, pcl::poisson::Square::CornerIndex(), pcl::poisson::Square::CORNERS, pcl::poisson::OctNode< NodeData, Real >::depthAndOffset(), pcl::poisson::SortedTreeNodes::EdgeTableData::eCount, pcl::poisson::Cube::EdgeIndex(), pcl::poisson::Cube::EDGES, pcl::poisson::SortedTreeNodes::EdgeTableData::eTable, pcl::poisson::Square::FactorCornerIndex(), pcl::poisson::Cube::FactorEdgeIndex(), maxDepth, nodeCount, pcl::poisson::OctNode< NodeData, Real >::nodeData, pcl::poisson::TreeNodeData::nodeIndex, pcl::poisson::SortedTreeNodes::EdgeTableData::offsets, and treeNodes.

## setEdgeTable() [2/3]

void pcl::poisson::SortedTreeNodes::setEdgeTable | ( | EdgeTableData & | eData,
|  | const TreeOctNode * | rootNode,
|  | int | threads
| ) |  |

inline

Definition at line 168 of file multi_grid_octree_data.h.

References maxDepth, and setEdgeTable().

Referenced by setEdgeTable().

## setEdgeTable() [3/3]

void pcl::poisson::SortedTreeNodes::setEdgeTable | ( | EdgeTableData & | eData,
|  | int | threads
| ) |  |

inline

Definition at line 169 of file multi_grid_octree_data.h.

References maxDepth, setEdgeTable(), and treeNodes.

Referenced by setEdgeTable().

## Member Data Documentation

## maxDepth

int pcl::poisson::SortedTreeNodes::maxDepth

Definition at line 119 of file multi_grid_octree_data.h.

Referenced by pcl::poisson::VertexData::CenterIndex(), pcl::poisson::VertexData::CenterIndex(), pcl::poisson::VertexData::CenterIndex(), pcl::poisson::Octree< Degree >::ClipTree(), pcl::poisson::VertexData::CornerIndex(), pcl::poisson::VertexData::CornerIndex(), pcl::poisson::VertexData::CornerIndex(), pcl::poisson::VertexData::EdgeIndex(), pcl::poisson::VertexData::EdgeIndex(), pcl::poisson::VertexData::FaceIndex(), pcl::poisson::VertexData::FaceIndex(), pcl::poisson::Octree< Degree >::finalize(), getMaxCornerCount(), getMaxEdgeCount(), pcl::poisson::Octree< Degree >::GetMCIsoTriangles(), pcl::poisson::Octree< Degree >::RefineBoundary(), set(), pcl::poisson::Octree< Degree >::setBSplineData(), setCornerTable(), setCornerTable(), setCornerTable(), setEdgeTable(), setEdgeTable(), setEdgeTable(), pcl::poisson::Octree< Degree >::SetLaplacianConstraints(), pcl::poisson::Octree< Degree >::setTree(), and SortedTreeNodes().

## nodeCount

int* pcl::poisson::SortedTreeNodes::nodeCount

Definition at line 118 of file multi_grid_octree_data.h.

Referenced by pcl::poisson::Octree< Degree >::GetIsoValue(), getMaxCornerCount(), getMaxEdgeCount(), set(), setCornerTable(), setEdgeTable(), SortedTreeNodes(), and ~SortedTreeNodes().

## treeNodes

TreeOctNode** pcl::poisson::SortedTreeNodes::treeNodes

Definition at line 117 of file multi_grid_octree_data.h.

Referenced by getMaxCornerCount(), getMaxEdgeCount(), set(), setCornerTable(), setCornerTable(), setEdgeTable(), setEdgeTable(), SortedTreeNodes(), and ~SortedTreeNodes().

The documentation for this class was generated from the following files:

- pcl/surface/3rdparty/poisson4/multi_grid_octree_data.h
- pcl/surface/3rdparty/poisson4/multi_grid_octree_data.hpp